# $Revision: 1.17 $, $Date: 2004/12/25 20:38:21 $
Summary:	AVR libc
Summary(pl):	libc na AVR
Name:		crossavr-libc
Version:	1.0.5
Release:	1
Epoch:		1
License:	Modified BSD (see included LICENSE)
Group:		Development/Tools
Source0:	http://savannah.nongnu.org/download/avr-libc/avr-libc-%{version}.tar.bz2
# Source0-md5:	233125bee3445701bc3a8b3f63ba8ee9
Source1:	http://savannah.nongnu.org/download/avr-libc/avr-libc-user-manual-%{version}.tar.bz2
# Source1-md5:	b5a9d885a2fe44fc75daaad8aeed303d
URL:		http://www.nongnu.org/avr-libc/
BuildRequires:	crossavr-binutils >= 2.14
BuildRequires:	crossavr-gcc >= 3.3
Requires:	crossavr-gcc >= 3.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		avr
%define		arch		%{_prefix}/%{target}
%define		no_install_post_strip	1

%description
Contains the standard C library for Atmel AVR microcontrollers.

%description -l pl
Pakiet zawiera standardow bibliotek C dla mikrokontrolerw Atmel
AVR.

%prep
%setup -q -n avr-libc-%{version} -a1

%build
CFLAGS="%{rpmcflags}" LDFLAGS="%{rpmldflags}" \
CONFIG_SHELL="/bin/bash" \
PREFIX=%{arch}
./doconf
./domake

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_prefix}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -C build install \
	prefix=$RPM_BUILD_ROOT%{_prefix}

cp -rf doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if 0%{!?debug:1}
%{target}-strip -g $RPM_BUILD_ROOT%{arch}/lib/*.[oa] \
	$RPM_BUILD_ROOT%{arch}/lib/avr?/*.[oa]
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.html avr-libc-user-manual-%{version}/ ChangeLog LICENSE README NEWS
%dir %{arch}/include
%{arch}/include/*.h
%dir %{arch}/include/avr
%{arch}/include/avr/*.h
%{arch}/lib/*.[oa]
%dir %{arch}/lib/avr?
%{arch}/lib/avr?/*.[oa]
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossavr-libc.spec,v $
Revision 1.17  2004/12/25 20:38:21  yogib
- updated to 1.0.5, added ChangeLog

Revision 1.16  2004/07/25 16:39:02  yogib
- updated to 1.0.4, added examples and updated URLs

Revision 1.15  2004/07/21 11:36:06  qboosh
- strip using target binutils (if not debug)
- arch/lib dir belongs to cross gcc, require it

Revision 1.14  2004/02/01 16:08:57  undefine
- change license, fix BR.

Revision 1.13  2004/02/01 16:02:48  undefine
- add documentation, release 2

Revision 1.12  2004/02/01 00:54:32  undefine
- back to savannach url, don't strip

Revision 1.11  2004/01/15 00:06:42  arekm
- use temporary download

Revision 1.10  2004/01/14 10:19:36  arekm
- epoch 1

Revision 1.9  2004/01/14 10:10:20  arekm
- updated to 1.0.2 but we still need to wait for savannah files section restoration

Revision 1.8  2003/08/29 23:30:32  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.7  2003/08/06 16:51:46  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.6  2003/05/26 16:24:50  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:46:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2002/12/18 02:12:11  wiget
- added URL and changes Source0 URL, cosmetics

Revision 1.3  2002/12/03 21:33:54  ankry
- cleaning

Revision 1.2  2002/03/13 20:48:43  wojtekka
- updated docs.

Revision 1.1  2002/03/13 19:17:05  wojtekka
- initial release. links property with some test programs.

Revision 1.2  2002/03/12 23:09:59  wojtekka
- added ldscripts.

Revision 1.1  2002/03/12 22:08:37  wojtekka
- initial release based on crossmipsel-*.spec. works fine.
